$   REMOTE_PRINT
$ 
$ 	Nat Dickinson and Robert PattCorner   2890
$ 	Arguments:	p1=printer
$ 			p28 = files to be printed
$ 
$ 	Moves files to the host listed in REMOTE_NODE
$ 	Moves parameter file to REMOTE_NODE with tags to control printing
$ 	System service on REMOTE_NODE reads params file, does the printing
$ 
$ 	It assumes the filenames start with P2, this can be changed by
$ 	 changing the initial value of the P_NUMBER symbol
$ 
$ ***Remember that only 8 P parameters can be passed using Command Procedures
$ 
$   ND 2690
$   Modifications for FTP procedures RPC
$ 
$ SET ON
$ Create_Symbols:
$	HOST = F$EDIT(F$GETSYI(NODENAME),UPCASE,TRIM)
$	PRINTER =  VMS_Printer
$ 
$	PID =  F$EXTRACT(4,4,F$GETJPI(,PID))	
$	HH =  F$CVTIME(F$TIME(),ABSOLUTE,HOUR)
$	MM =  F$CVTIME(F$TIME(),ABSOLUTE,MINUTE)
$	SS =  F$CVTIME(F$TIME(),ABSOLUTE,SECOND)
$	JOB_ID = ''PID'''HH'''MM'''SS'  Clunky, but this eliminates all
$                                          the colons  
$ 
$	OWNER = F$GETJPI(,USERNAME)  Returns the Username rather than
$                                         the Owner of the UIC
$	HEADER_FILE = ''PRINTER'_''JOB_ID'_Params.;1
$	HEADER_FILE_NoDot = ''PRINTER'_''JOB_ID'_Params
$	FTP_FILE = ''PRINTER'_''JOB_ID'_FTP.;1
$	WRITE SYS$OUTPUT ''Header_File'
$
$  Perhaps parameters for these later
$
$	COPIES = 1
$	MODE =   0
$	DEVICE = ''P1'
$	REMOTE_NODE = FODXE2
$ 	REMOTE_LOGIN = xfer
$	REMOTE_PASSWORD = publish:set
$ 
$ Write_Header:
$
$ 	OPENWRITE HEADER 'Header_File'
$ 
$		WRITE HEADER :Host:''HOST'
$		WRITE HEADER :Printer:''PRINTER'
$		WRITE HEADER :Job:''JOB_ID'
$		WRITE HEADER :Owner:''OWNER'
$		WRITE HEADER :Title:''TITLE'
$		WRITE HEADER :Copies:''COPIES'
$		WRITE HEADER :Mode:''MODE'
$		WRITE HEADER :Device:''DEVICE'
$		WRITE HEADER :Orientation:L
$		WRITE HEADER :FontName:Times
$		WRITE HEADER :FontSize:9
$		WRITE HEADER :SLD:10
$ 
$	P_NUMBER = 2
$ File_Loop:
$		NEXT_P = P''P_NUMBER'
$		FILENAME = 'NEXT_P'
$		IF FILENAME .EQS.  THEN GOTO Close_Header
$ 
$		WRITE HEADER :File:''FILENAME'
$ 
$		P_NUMBER = P_NUMBER+1
$		GOTO File_Loop
$
$ Close_Header:
$	CLOSE HEADER
$ Write_FTP_File:
$ 	OPENWRITE FTPFile 'FTP_File'
$ 
$		WRITE FTPFile $FTP
$ 		WRITE FTPFile open ''REMOTE_NODE'
$		WRITE FTPFile ''REMOTE_LOGIN'
$		WRITE FTPFile ''REMOTE_PASSWORD'
$ 		WRITE FTPFile type ''REMOTE_TYPE'
$		WRITE SYS$OUTPUT put ''Header_File'
$		WRITE FTPFile put ''Header_File' ''Header_File_NoDot'
$ P_NUMBER = 2
$ FTP_File_Loop:
$		NEXT_P = P''P_NUMBER'
$		FILENAME = 'NEXT_P'
$		IF FILENAME .EQS.  THEN GOTO Close_FTP_File
$ 
$		WRITE FTPFile put ''FILENAME' ''PRINTER'_''JOB_ID'_''FILENAME'
$ 
$		P_NUMBER = P_NUMBER+1
$		GOTO FTP_File_Loop
$
$ Close_FTP_File:
$	WRITE FTPFile bye
$	CLOSE FTPFile
$       @'FTP_File'
$	DELETEnoconf 'ftp_file'
$ 	Deletenoconf 'Header_File'
$	EXIT
                              
