SaveVidLevel = VideoLevel
EchoOff

; B27Debugger>Install.jcl
; Install the B27 Debugger subpackage

; Except for yesno strings, this message is the only nationalizable
; string in this file.
ErrorMsg     = 'Cannot access pDebugger>InstallMsg.bin'
FirstDisk    = 'Real Mode OS Diskette 4 of 4 (B25R344)'

FromFloppy   = 0
FromServer   = 2
TotalNoise   = 0
TotalSilence = 2
NotFound     = 65535
ClearScreen  = 'PF'

If SaveVidLevel = TotalNoise
   Display(ClearScreen)
EndIf

ToSpec       = ConcatStrings(VolumeTo, DirectoryTo)
FloppySpec   = ConcatStrings(DeviceFrom, '<CTOS>Debuggerbaws.sys')
DbgFileSpec  = ConcatStrings(DeviceFrom, '<DebugFile>*')

If InstallType = FromFloppy
   NextFloppy(FirstDisk)
EndIf

InitErc = InitMsgFile(MsgFile)
If InitErc <> 0
   DisplayLine(ErrorMsg)
   Cancel
Endif

Display(ClearScreen)
Msg = GetMsg(1)
DisplayLine(Msg)
Msg = GetMsg(2)
DisplayLine(Msg)
Msg = GetMsg(3)
DisplayLine(Msg)
Msg = GetMsg(4)
DisplayLine(Msg)
Msg = GetMsg(5)
DisplayLine(Msg)
DisplayLine
Msg = GetMsg(6)
DisplayLine(Msg)
DisplayLine
Msg = GetMsg(7)
DisplayAndWait(Msg)
DisplayLine

If SaveVidLevel = TotalNoise
   EchoSome
Endif
DisplayLine
Command Merge Command Files ,
           CmdFileFrom      ,
           CmdFileTo        ,
           Yes              ,
           VolumeTo
DisplayLine
If InstallType = FromServer
   Command LCopy                                  ,
                                                  ,
              @[Scr]<$>InstallOverwriteOkFrom.fls ,
              @[Scr]<$>InstallOverwriteOkTo.fls   ,
                                                  ,
              Yes                                 ,
              No                                  ,
              No                                  ,
              Yes
Else
   Command LCopy         ,
              FloppySpec ,
                         ,
              ToSpec     ,
                         ,
              Yes        ,
              No         ,
              No         ,
              Yes
   DisplayLine
   Command LCopy          ,
              DbgFileSpec ,
                          ,
              ToSpec      ,
                          ,
              Yes         ,
              No          ,
              No          ,
              Yes
Endif
If SaveVidLevel = TotalNoise
   EchoOff
Endif

EndIt:

End
