; SetColor>Install.jcl
; Install the Set Color Utility subpackage
EchoSome
FromFloppy   = 0
FromServer   = 2
SysVolume    = '[Sys]'
BangSys      = '[Sys]'
SysCmds      = '[Sys]<sys>sys.cmds'
FloppySpec   = ConcatStrings(DeviceFrom, '<Utils>')
ToSpec       = ConcatStrings(VolumeTo,   DirectoryTo)
FromSpec1    = ConcatStrings(FloppySpec, 'pmSetColor.Run')
FromSpec2    = ConcatStrings(FloppySpec, '*Palette*')

If Public
    Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              VolumeTo

Else
    Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              SysVolume
EndIf

If InstallType = FromServer
    Command LCopy                                      ,
                                                       ,
              @[Scr]<$>InstallOverwriteOkFrom.fls      ,
              @[Scr]<$>InstallOverwriteOkTo.fls        ,
                                                       ,
              Yes                                      ,
              No                                       ,
              No                                       
    GoTo EndIt
    Endif

Command LCopy          ,
          FromSpec1     ,
                       ,
          ToSpec       ,
                       ,
          Yes          ,
          No           ,
          No                       

Command LCopy          ,
          FromSpec2     ,
                       ,
          ToSpec       ,
                       ,
          Yes          ,
          No           ,
          No                       

EndIt:

End
