EchoSome
FromFloppy   = 0
FromServer   = 2
SysVolume    = '[Sys]'
BangSys      = '[Sys]'
SysCmds      = '[Sys]<sys>sys.cmds'
FloppySpec   = ConcatStrings(DeviceFrom, '<Utils>')
ToSpec       = ConcatStrings(VolumeTo,   DirectoryTo)
FromSpec     = ConcatStrings(FloppySpec, '*PrintScreen*')
ReqSpec      = ConcatStrings(ToSpec, 'Request.Sys')
ReqTxt       = ConcatStrings(ToSpec, 'Request.Txt')

If Public
    Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              VolumeTo

Else
    Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              SysVolume
EndIf

If InstallType = FromServer
    Command LCopy                                      ,
                                                       ,
              @[Scr]<$>InstallOverwriteOkFrom.fls      ,
              @[Scr]<$>InstallOverwriteOkTo.fls        ,
                                                       ,
              Yes                                      ,
              No                                       ,
              No                                       
    GoTo EndIt
    Endif

Command LCopy                      ,
          FromSpec                 ,
                                   ,
          ToSpec                   ,
                                   ,
          Yes                      ,
          No                       ,
          No                       

Command List Request Set                                  ,
					([Utils]<Utils>Request.Z.Sys, ReqSpec), 
					ReqTxt

Command Make request Set            ,
                          ReqTxt    ,
                          ReqSpec
EndIt:

End
