SaveVidLevel = VideoLevel
EchoOff

; CTOS III Mini Customizer


FromFloppy   = 0
FromServer   = 2
SysCmds      = '[Sys]<sys>sys.cmds'
DirFrom      = '<MC>*'
FromSpec     = ConcatStrings(DeviceFrom, DirFrom)
ToSpec       = ConcatStrings(VolumeTo, DirectoryTo)
TotalNoise   = 0
TotalSilence = 2
FloppyType   = 0
Floppy5Qtr   = 1
NotFound     = 65535

If SaveVidLevel = TotalNoise
   EchoSome
EndIf

If InstallType = FromFloppy
   FloppyType   = DeviceType(DeviceFrom)
EndIf

; The following message is nationalizable
If FloppyType = Floppy5Qtr
   FirstDisk  = 'Virtual Mode SBU Diskette 1 of 6 (B25VBU1)'
Else 
      FirstDisk  = 'Virtual Mode SBU Diskette 1 of 3 (B25VBU1)'
EndIf


If Public
    Command Merge Command Files   ,
              CmdFileFrom         ,
              SysCmds             ,
              Yes                 ,
              VolumeTo
EndIf

Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              VolumeTo


If InstallType = FromServer
    Command LCopy                                 ,
                                                  ,
              @[Scr]<$>InstallOverwriteOkFrom.fls ,
              @[Scr]<$>InstallOverwriteOkTo.fls   ,
                                                  ,
              Yes                                 ,
              No                                  ,
              No                                  ,
              Yes
    GoTo EndIt
    Endif

Command LCopy            ,
          FromSpec       ,
                         ,
          ToSpec         ,
                         ,
          Yes            ,
          No             ,
          No             ,
          Yes
EndIt:
End
el = TotalNoise
        EchoSome
   EndIf
   Command LCopy          ,
              FloppySpec  ,
                          ,
              ToSpec      ,
                          ,
              Yes         ,
              No          ,
              No 